com.tibbo.aggregate.common.resource

## Class WrappingResourceBundle

- java.lang.Object
- - java.util.ResourceBundle
  - - com.tibbo.aggregate.common.resource.WrappingResourceBundle

-     public class WrappingResourceBundle
      extends java.util.ResourceBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappingResourceBundle(java.util.PropertyResourceBundle wrapped)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addReplacement(java.lang.String key, java.lang.String value)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Enumeration<java.lang.String>` | `getKeys()`
    `protected java.lang.Object` | `handleGetObject(java.lang.String key)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WrappingResourceBundle

          public WrappingResourceBundle(java.util.PropertyResourceBundle wrapped)

  - ### Method Detail

    - #### addReplacement

          public void addReplacement(java.lang.String key,
                                     java.lang.String value)

    - #### handleGetObject

          protected java.lang.Object handleGetObject(java.lang.String key)

      Specified by:
        `handleGetObject` in class `java.util.ResourceBundle`

    - #### getKeys

          public java.util.Enumeration<java.lang.String> getKeys()

      Specified by:
        `getKeys` in class `java.util.ResourceBundle`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`